#include <iostream>
using namespace std;
int MAX=10;
int main(){
	int N,M,brc=0,brp=0;
	cin>>N;
	M=N;
	while(M>0){
		brc+=1;
		M/=10;
	}
	int niz[brc],i=0;
	while(N>0){
		niz[i]=N%10;
		N=N/10;
		i+=1;
	}
	int j;
	for(int i=0;i>brc-1;i++){
		j=brc-1;
		while(j!=i){
			if(niz[i]==niz[j]) break;
			else j-=1;
		}
		break;
	}
	while(i!=j){
		niz[i+1]=niz[j];
		brp+=1;
		i+=1;
	}
	cout<<brp;
	return 0;
}